### Method

# GWeather Location equal

#### Declaration [src]

    gboolean
    gweather_location_equal (
      GWeatherLocation* one,
      GWeatherLocation* two
    )

#### Description [src]

Compares two `GWeatherLocation` and sees if they represent the same place. It is only legal to call this for cities, weather stations or detached locations. Note that this function only checks for geographical characteristics, such as coordinates and METAR code. It is still possible that the two locations belong to different worlds (in which case care must be taken when passing them GWeatherLocationEntry and GWeatherInfo), or if one is them is detached it could have a custom name.

#### Parameters

`two`

  Type: `GWeatherLocation`

  Another `GWeatherLocation`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

`TRUE` if the two locations represent the same place as far as libgweather can tell, and `FALSE` otherwise.